Hp DV5 audio noise

Bug #373452 reported by ricci206 on 2009-05-07
82
This bug affects 14 people
Affects Status Importance Assigned to Milestone
alsa-driver (Ubuntu)
Low
Unassigned
Nominated for Karmic by Andros83

Bug Description

When reboot the speakers/headphones make a very noisy cracking noise.

Under vista is ok.

I use:

Ubuntu 9.04

hp dv5 1115el

Thank

ricci206 (ricci206) on 2009-05-07
description: updated
Kees Cook (kees) wrote :

Thanks for taking the time to report this bug and helping to make Ubuntu better. We appreciate the difficulties you are facing, but this appears to be a "regular" (non-security) bug. I have unmarked it as a security issue since this bug does not show evidence of allowing attackers to cross privilege boundaries nor directly cause loss of data/privacy. Please feel free to report any other bugs you may find.

security vulnerability: yes → no
visibility: private → public

I have this issue. I am assigning it to the "Ubuntu Audio Team" because I had a similar issue with HP DV5s and it was assigned to them.

Changed in ubuntu:
assignee: nobody → Ubuntu Audio Team (ubuntu-audio)

Download this set permissions to 700 and run it. It will provide a link and post it here. I will do the same thing

http://alsa-project.org/alsa-info.sh

jonbonjovi (jonbonjovi-84) wrote :

same issue on HP dv5-1112el running Ubuntu 9.04. any fix yet?

Andros83 (mail-ceandrea) wrote :

Hi!!
I'm testing the new ubuntu 9.10.
This problem seams to be disappeared but with the last update (new kernel 2.6.31-13) is returned...

Are you saying in the new kernel (2.5.31-13) the noise problem has returned?

On Sun, Oct 11, 2009 at 2:48 PM, Andros83 <email address hidden> wrote:

> Hi!!
> I'm testing the new ubuntu 9.10.
> This problem seams to be disappeared but with the last update (new kernel
> 2.6.31-13) is returned...
>
> --
> Hp DV5 audio noise
> https://bugs.launchpad.net/bugs/373452
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Ubuntu: New
>
> Bug description:
> When reboot the speakers/headphones make a very noisy cracking noise.
>
> Under vista is ok.
>
> I use:
>
> Ubuntu 9.04
>
> hp dv5 1115el
>
>
> Thank
>

--
Thank you,

Michael A. Brown
B.S. Network Technology
A.A.S Technical Support Technology
A.A.S Network Technology

Andros83 (mail-ceandrea) wrote :

Yes.
With new kernel 2.6.31-13-generic 64 bit The noise is return and now is also in normal use of SO.
Occurs randomly during the use of the system when I press the buttons "delete" or "tab" or other...
With the old kernel (2.6.31-11 or 2.6.31-12) I had no noise.

Andros83 (mail-ceandrea) wrote :

P.S.
The problem is worse with the latest updates today (that include some audio patch...)

Andros83 (mail-ceandrea) wrote :

The relase date is getting close and the noise problem is not fixed...
In addition to the noise when restarting now noise even also every time I use the del or backspace in a empty box (like this text box) or when thunderbird receives email....

This is very annoying and gives the idea that the system is corrupted...

Ubuntu karmic koala
Kernel 2.6.31-14

ricci206 (ricci206) wrote :

Good morning.

I tested the daily build. on 18-10-2009 32 bit. Ubuntu karmic koala

The bug is not fixed .

When reboot the system the speaker make a very noise cracking.

I use Hp dv5 1115el.

Thank you !

Regards.

ricci206 (ricci206) wrote :

Good morning I tested the hp dv5 with build on 26-10-2009.

The problem is not fixed.

In alsa-base.conf -->

# Power down HDA controllers after 10 idle seconds
options snd-hda-intel power_save=10

not working.

The controller does not go in power save mode after 10 seconds.

Ubuntu karmic koala
Kernel 2.6.31-14 Pae.

Any idea?

Thanks.

Ubuntu karmic koala = 9.10?

Sorry been away from Ubuntu and forgot wha 9.10 was called.

On Tue, Oct 27, 2009 at 2:17 PM, ricci206 <email address hidden> wrote:

> Good morning I tested the hp dv5 with build on 26-10-2009.
>
> The problem is not fixed.
>
> In alsa-base.conf -->
>
> # Power down HDA controllers after 10 idle seconds
> options snd-hda-intel power_save=10
>
> not working.
>
> The controller does not go in power save mode after 10 seconds.
>
> Ubuntu karmic koala
> Kernel 2.6.31-14 Pae.
>
> Any idea?
>
> Thanks.
>
> --
> Hp DV5 audio noise
> https://bugs.launchpad.net/bugs/373452
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Ubuntu: New
>
> Bug description:
> When reboot the speakers/headphones make a very noisy cracking noise.
>
> Under vista is ok.
>
> I use:
>
> Ubuntu 9.04
>
> hp dv5 1115el
>
>
> Thank
>

--
Michael A. Brown
(410) 756-0478
B.S. Information Technology: Network Specialist
A.A.S. Information Technology: Technical Support
A.A.S. Information Technology: Network Technology

Djodjo (talk2frossard) wrote :

I just updated to ubuntu 9.10 and this annoying bug affects me! It's completely annoying, is like a torture! Please, assign it immediatelly! It's like having a annoying noise knocking at your head.

And I got it on hp dv6646us ...
So it seems to be closely related to hp models.

On ubuntu 9.04 that bug didn't exist! It happens a lots of time on start up, ans seriously, it's those kind of bugs where a new user would think: "Wow, that sucks, I don't want it anymore, going back to seven, or vista" ... I mean, those comments "Works well on Evil Empire" it is just free publicity for that evil empire.

Thank you all! Hope it is fixed soon enough ...

Djodjo (talk2frossard) wrote :

I tried to turn the audio stuff off, and the sound doesn't go away ...

Djodjo (talk2frossard) wrote :

And when the earphones are plugged, it seems worse ...

it is not just a dv5 hp issue it is now in the dv6 models

On Fri, Oct 30, 2009 at 9:38 AM, Djodjo <email address hidden> wrote:

> And when the earphones are plugged, it seems worse ...
>
> --
> Hp DV5 audio noise
> https://bugs.launchpad.net/bugs/373452
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Ubuntu: New
>
> Bug description:
> When reboot the speakers/headphones make a very noisy cracking noise.
>
> Under vista is ok.
>
> I use:
>
> Ubuntu 9.04
>
> hp dv5 1115el
>
>
> Thank
>

--
Michael A. Brown
(410) 756-0478
B.S. Information Technology: Network Specialist
A.A.S. Information Technology: Technical Support
A.A.S. Information Technology: Network Technology

Daniel T Chen (crimsun) wrote :

Do you have linux-backports-modules-alsa-karmic installed?

Niral (niral-n95) wrote :

I have a Dv6 1125ee and i face the same cracking sound issue on reboot... This seems to be a very persistent issue and "the audio team" seems to over look it.. Its only bad for the future of ubuntu/kubuntu. As i face the same problem on kubuntu.. I cannot say for certain if this is a kernel related issue or Alsa.. but all hp products or at least most of the Dv4, Dv5 & Dv6 have this issues with sound. Another issue I face is the Auto-Sensing for Headphones does'nt seem to work. I plug-in my headphones but the system speakers continue working along with the headphones.

Any guidance or solution would be helpful..

Btw no issues with vista, and hopefully 7 in the same areas mentioned above..

Daniel T Chen (crimsun) wrote :

@Niral
Please use ubuntu-bug alsa-base. We don't have enough information to
fix your symptoms.

Niral (niral-n95) wrote :

@Daniel Thanks for the Guidance. :)

ricci206 (ricci206) wrote :

@Ricci206

Finally, I solved the problem of audio hp dv5

In alsa-base.conf:

For the gnome users:

Type sudo gedit /etc/modprobe.d/alsa-base.conf

change this value:

options snd-hda-intel power_save=10 power_save_controller=N

to:

options snd-hda-intel power_save=4 power_save_controller=N

In this way the card audio goes to power save and when reboot not cracking.!

Save & reboot.

Niral (niral-n95) wrote :

@Ricci206 This solved the same issue on my DV6.

@Mods I feel a Solved Tag should be added to the title as its would help other users with the same issue.

Thanks! :)

Mitch Towner (kermiac) wrote :

This bug report is being closed due to your last comment regarding this being fixed. For future reference you can manage the status of your own bugs by clicking on the current status in the yellow line and then choosing a new status in the revealed drop down box. You can learn more about bug statuses at https://wiki.ubuntu.com/Bugs/Status. Thank you again for taking the time to report this bug and helping to make Ubuntu better. Please submit any future bugs you may find.

Changed in ubuntu:
status: New → Invalid
jonbonjovi (jonbonjovi-84) wrote :

The problem in back on Ubuntu Lucid Lynx.

Any solution?
The option in alsa-base.conf is not available any more.

Daniel T Chen (crimsun) wrote :

Jonbonjovi, please remove any model quirks you've added and use
linux-alsa-driver-modules-$(uname -r) from ppa:ubuntu-audio-dev, thanks!

On May 5, 2010 4:48 PM, "jonbonjovi" <email address hidden> wrote:

The problem in back on Ubuntu Lucid Lynx.

Any solution?
The option in alsa-base.conf is not available any more.

--
Hp DV5 audio noise
https://bugs.launchpad.net/bugs/373452
You received this bug notification be...

jonbonjovi (jonbonjovi-84) wrote :

Mmh...I'm not sure about what I shoud do. I'm not an expert. Could you please specify with commands?

ricci206 (ricci206) wrote :

Hi,

For Ubuntu 10.04 installing:
linux-backports-modules-alsa-lucid-generic
linux-backports-modules-alsa-generic meta-package, with the kernel in use.

After

sudo reboot

the problem is solved!

jonbonjovi (jonbonjovi-84) wrote :

Yeah! It works!

Just 2 questions:

1) I didn't find "linux-backports-modules-alsa-lucid-generic" package relative to my kernel, but the problem is solved anyway, why do you think it happens? will there be any consequences about the fact I didn't install that package?

2) how did you find that solution?

ricci206 (ricci206) wrote :

Hi,

Oh no, I did not Wrote well !

The back-ports-modules-alsa-lucid is ok!

Sorry.

nakki (titibanjekistan) wrote :

I have this problem on Ubuntu/Xubuntu 12.04 development branch. After few releases that hadn't this issue, the annoying problem reappeared in this version...

nakki (titibanjekistan) wrote :

Ah sorry my notebook is hp pavilion dv5-1199el

00:1b.0 Audio device: Intel Corporation 82801I (ICH9 Family) HD Audio Controller (rev 03)

nakki (titibanjekistan) on 2012-01-08
Changed in ubuntu:
status: Invalid → New
nakki (titibanjekistan) on 2012-01-09
tags: added: audio precise ubuntu
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in ubuntu:
status: New → Confirmed
Luca Chiodini (l-chiodini) wrote :

This problem, after a few releases it didn't happend, now it happens again.
Distro Release: Ubuntu 12.04
For further information, see LP:#925401

Shadow Mage (x-shadow-mage-x) wrote :

I'm also experiencing this issue in precise pangolin; instead of posting here tho i accidentally posted in a duplicate bug report: https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/925401/comments/3

nakki (titibanjekistan) wrote :

Still present in the U / K / X / L / *buntu final releases.

Giorgos Kotsios (georgekk1987) wrote :

It is still present in Precise pangolin 12.04LTS and Quantal 12.10
This is my configuration: http://www.alsa-project.org/db/?f=ae6d33c33d587601239509891c6ae937c03e4525

David Smith (dave-kts) wrote :

HP DV6500 with NVidia has this problem, Ubuntu 12.04, 11.10, but not in 10.10
sounds like a bad DC offset pop when logging in, shutting down, and after 5 seconds of no sound events. triggering a sound event after 5 seconds will initialize the hardware and cause a pop, and cutting off a few milliseconds of the sound.

Very discouraging, possibly damaging to the speakers
Mint will still pop when starting and shutting down, but doesnt seem to let the hardware sleep after 5 seconds

David Smith (dave-kts) wrote :

disregard the comment about Mint, it acts the same as Ubuntu on battery.
Another problem is the volume drops too quickly, fades to nothing around 75% and below

nakki (titibanjekistan) wrote :

In my pc with Ubuntu / Kubuntu / Xubuntu 11.10 I do not have this problem, in fact I still use this release ...

Alan Brucke (alankbrucke) wrote :

One of the more annoying bugs affecting me. Largely fixed with this:
http://linux.bigresource.com/Ubuntu-How-to-Fix-Popping-Sound-in-11-04-Natty-j2YB10U6o.html
But my speakers still pop when powering off/on and plugging in/taking out headphones.

Alan Brucke (alankbrucke) wrote :

Forgot to mention I'm running Xubuntu 12.04.

Andros83 (mail-ceandrea) wrote :

Any news? In my system the problem is still present.

nakki (titibanjekistan) wrote :

I'm using Xubuntu 11.10 (oneiric) and it doesn't have this problem. Kernel 3.0 is the only one that doesn't have this issue.

Polder Dijkmans (pijdoo1) wrote :

Popping sound, only at boot, just before the Ubuntu log with the running dots below appears.
System: HP dc7600 SFF, Ubuntu 12.10, double boot with Windows Xp prof.

Tried:
gksudo gedit /usr/lib/pm-utils/power.d/intel-audio-powersave
Find this line:
INTEL_AUDIO_POWERSAVE=${INTEL_AUDIO_POWERSAVE:-true}
And comment it out by putting a "#" in front of it like this:
# INTEL_AUDIO_POWERSAVE=${INTEL_AUDIO_POWERSAVE:-true}
Just below this line you make a new line, like this:
INTEL_AUDIO_POWERSAVE=false

but still popping !

calin (bobescalin2002) wrote :

i have the same problem with sound. My laptop is Compaq CQ61. Any fix??? :(

ricci206, thank you for reporting this bug to Ubuntu. Jaunty reached EOL on October 23, 2010.
See this document for currently supported Ubuntu releases: https://wiki.ubuntu.com/Releases

Is this an issue in a supported release? If so, could you please execute the following command, as it will automatically gather debugging information, in a terminal:
apport-collect 373452

affects: ubuntu → alsa-driver (Ubuntu)
Changed in alsa-driver (Ubuntu):
assignee: Ubuntu Audio Team (ubuntu-audio) → nobody
importance: Undecided → Low
status: Confirmed → Incomplete
Launchpad Janitor (janitor) wrote :

[Expired for alsa-driver (Ubuntu) because there has been no activity for 60 days.]

Changed in alsa-driver (Ubuntu):
status: Incomplete → Expired
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers